Upstream information

CVE-2021-28153 at MITRE

Description

An issue was discovered in GNOME GLib before 2.66.8. When g_file_replace() is used with G_FILE_CREATE_REPLACE_DESTINATION to replace a path that is a dangling symlink, it incorrectly also creates the target of the symlink as an empty file, which could conceivably have security relevance if the symlink is attacker-controlled. (If the path is a symlink to a file that already exists, then the contents of that file correctly remain unchanged.)

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.3 3.7
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:L/A:N
Attack Vector Network Network
Attack Complexity Low High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact Low Low
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1183533 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container bci/bci-init:15.3
Container bci/golang:1.16-15.6
Container bci/golang:1.17-15.7
Container bci/golang:latest
Container bci/nodejs:12-15.6
Container bci/nodejs:14-18.7
Container bci/nodejs:latest
Container bci/openjdk-devel:11
Container bci/openjdk:latest
Container bci/python:3
Container bci/ruby:latest
Container ses/7.1/ceph/grafana:8.3.5.2.2.217
Container ses/7.1/ceph/haproxy:2.0.14.3.5.1
Container ses/7.1/ceph/keepalived:2.0.19.3.5.1
Container ses/7.1/ceph/prometheus-alertmanager:0.23.0.3.2.201
Container ses/7.1/ceph/prometheus-node-exporter:1.3.0.3.2.202
Container ses/7.1/ceph/prometheus-server:2.32.1.3.2.195
Container ses/7.1/ceph/prometheus-snmp_notifier:1.2.1.2.2.186
Container ses/7.1/cephcsi/csi-attacher:v3.5.0
Container ses/7.1/cephcsi/csi-node-driver-registrar:v2.5.1
Container ses/7.1/cephcsi/csi-provisioner:v3.2.1
Container ses/7.1/cephcsi/csi-resizer:v1.5.0
Container ses/7.1/cephcsi/csi-snapshotter:v6.0.1
Container ses/7/ceph/grafana:8.3.5.3.778
Container suse/sle15:15.2.9.5.129
Container suse/sle15:15.3.17.14.6
Image SLES15-SP2-CHOST-BYOS-Aliyun
Image SLES15-SP2-CHOST-BYOS-Azure
Image SLES15-SP2-CHOST-BYOS-EC2
Image SLES15-SP2-CHOST-BYOS-GCE
Image SLES15-SP3-CHOST-BYOS-Aliyun
Image SLES15-SP3-CHOST-BYOS-Azure
Image SLES15-SP3-CHOST-BYOS-EC2
Image SLES15-SP3-CHOST-BYOS-GCE
  • libglib-2_0-0 >= 2.62.6-150200.3.9.1
Container ses/7.1/cephcsi/cephcsi:3.5.1.0.3.2.345
Container ses/7.1/rook/ceph:1.8.6.0.4.5.9
Container ses/7/cephcsi/cephcsi:3.4.0.0.3.911
Image SLES15-SP2-BYOS-Azure
Image SLES15-SP2-BYOS-EC2-HVM
Image SLES15-SP2-BYOS-GCE
Image SLES15-SP2-HPC-BYOS-Azure
Image SLES15-SP2-HPC-BYOS-EC2-HVM
Image SLES15-SP3-BYOS-Azure
Image SLES15-SP3-BYOS-EC2-HVM
Image SLES15-SP3-BYOS-GCE
Image SLES15-SP3-GCE
Image SLES15-SP3-HPC-BYOS-Azure
Image SLES15-SP3-HPC-BYOS-EC2-HVM
Image SLES15-SP3-HPC-BYOS-GCE
Image SLES15-SP3-Manager-4-2-Proxy-BYOS-Azure
Image SLES15-SP3-Manager-4-2-Proxy-BYOS-EC2-HVM
Image SLES15-SP3-Manager-4-2-Proxy-BYOS-GCE
Image SLES15-SP3-Manager-4-2-Server-BYOS-Azure
Image SLES15-SP3-Manager-4-2-Server-BYOS-EC2-HVM
Image SLES15-SP3-Manager-4-2-Server-BYOS-GCE
Image SLES15-SP3-Micro-5-1-BYOS-Azure
Image SLES15-SP3-Micro-5-1-BYOS-EC2-HVM
Image SLES15-SP3-Micro-5-1-BYOS-GCE
Image SLES15-SP3-Micro-5-2-BYOS-Azure
Image SLES15-SP3-Micro-5-2-BYOS-EC2-HVM
Image SLES15-SP3-Micro-5-2-BYOS-GCE
  • glib2-tools >= 2.62.6-150200.3.9.1
  • libgio-2_0-0 >= 2.62.6-150200.3.9.1
  • libglib-2_0-0 >= 2.62.6-150200.3.9.1
  • libgmodule-2_0-0 >= 2.62.6-150200.3.9.1
  • libgobject-2_0-0 >= 2.62.6-150200.3.9.1
Container suse/sle-micro-rancher/5.2:latest
  • libglib-2_0-0 >= 2.62.6-150200.3.9.1
  • libgmodule-2_0-0 >= 2.62.6-150200.3.9.1
  • libgobject-2_0-0 >= 2.62.6-150200.3.9.1
Container suse/sle-micro/5.1/toolbox:11.1-2.2.254
Container suse/sle-micro/5.2/toolbox:11.1-6.2.74
  • libglib-2_0-0 >= 2.62.6-150200.3.9.1
  • libgmodule-2_0-0 >= 2.62.6-150200.3.9.1
Image SLES12-SP4-SAP-Azure-LI-BYOS-Production
Image SLES12-SP4-SAP-Azure-VLI-BYOS-Production
Image SLES12-SP5-Azure-SAP-BYOS
Image SLES12-SP5-Azure-SAP-On-Demand
Image SLES12-SP5-EC2-SAP-BYOS
Image SLES12-SP5-EC2-SAP-On-Demand
Image SLES12-SP5-GCE-SAP-BYOS
Image SLES12-SP5-GCE-SAP-On-Demand
Image SLES12-SP5-SAP-Azure-LI-BYOS-Production
Image SLES12-SP5-SAP-Azure-VLI-BYOS-Production
  • glib2-tools >= 2.48.2-12.28.1
  • libgio-2_0-0 >= 2.48.2-12.28.1
  • libglib-2_0-0 >= 2.48.2-12.28.1
  • libgmodule-2_0-0 >= 2.48.2-12.28.1
  • libgobject-2_0-0 >= 2.48.2-12.28.1
  • libgthread-2_0-0 >= 2.48.2-12.28.1
Image SLES12-SP5-Azure-BYOS
Image SLES12-SP5-Azure-Basic-On-Demand
Image SLES12-SP5-Azure-HPC-BYOS
Image SLES12-SP5-Azure-HPC-On-Demand
Image SLES12-SP5-Azure-Standard-On-Demand
Image SLES12-SP5-EC2-BYOS
Image SLES12-SP5-EC2-ECS-On-Demand
Image SLES12-SP5-EC2-On-Demand
Image SLES12-SP5-GCE-BYOS
Image SLES12-SP5-GCE-On-Demand
  • glib2-tools >= 2.48.2-12.28.1
  • libgio-2_0-0 >= 2.48.2-12.28.1
  • libglib-2_0-0 >= 2.48.2-12.28.1
  • libgmodule-2_0-0 >= 2.48.2-12.28.1
  • libgobject-2_0-0 >= 2.48.2-12.28.1
Image SLES15-SP2-SAP-Azure
Image SLES15-SP2-SAP-Azure-LI-BYOS-Production
Image SLES15-SP2-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP2-SAP-BYOS-Azure
Image SLES15-SP2-SAP-BYOS-EC2-HVM
Image SLES15-SP2-SAP-BYOS-GCE
Image SLES15-SP2-SAP-EC2-HVM
Image SLES15-SP2-SAP-GCE
Image SLES15-SP3-SAP-Azure-LI-BYOS-Production
Image SLES15-SP3-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP3-SAP-BYOS-Azure
Image SLES15-SP3-SAP-BYOS-EC2-HVM
Image SLES15-SP3-SAP-BYOS-GCE
  • glib2-tools >= 2.62.6-150200.3.9.1
  • libgio-2_0-0 >= 2.62.6-150200.3.9.1
  • libglib-2_0-0 >= 2.62.6-150200.3.9.1
  • libgmodule-2_0-0 >= 2.62.6-150200.3.9.1
  • libgobject-2_0-0 >= 2.62.6-150200.3.9.1
  • libgthread-2_0-0 >= 2.62.6-150200.3.9.1
Image SLES15-SP3-SAPCAL-Azure
Image SLES15-SP3-SAPCAL-EC2-HVM
Image SLES15-SP3-SAPCAL-GCE
  • glib2-devel >= 2.62.6-150200.3.9.1
  • glib2-tools >= 2.62.6-150200.3.9.1
  • libgio-2_0-0 >= 2.62.6-150200.3.9.1
  • libglib-2_0-0 >= 2.62.6-150200.3.9.1
  • libgmodule-2_0-0 >= 2.62.6-150200.3.9.1
  • libgobject-2_0-0 >= 2.62.6-150200.3.9.1
  • libgthread-2_0-0 >= 2.62.6-150200.3.9.1
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Basesystem 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • glib2-devel >= 2.62.6-150200.3.9.1
  • glib2-lang >= 2.62.6-150200.3.9.1
  • glib2-tools >= 2.62.6-150200.3.9.1
  • libgio-2_0-0 >= 2.62.6-150200.3.9.1
  • libgio-2_0-0-32bit >= 2.62.6-150200.3.9.1
  • libglib-2_0-0 >= 2.62.6-150200.3.9.1
  • libglib-2_0-0-32bit >= 2.62.6-150200.3.9.1
  • libgmodule-2_0-0 >= 2.62.6-150200.3.9.1
  • libgmodule-2_0-0-32bit >= 2.62.6-150200.3.9.1
  • libgobject-2_0-0 >= 2.62.6-150200.3.9.1
  • libgobject-2_0-0-32bit >= 2.62.6-150200.3.9.1
  • libgthread-2_0-0 >= 2.62.6-150200.3.9.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2022-1455
SUSE Linux Enterprise Desktop 12 SP5
SUSE Linux Enterprise Workstation Extension 12 SP5
  • libgio-fam >= 2.48.2-12.28.1
Patchnames:
SUSE-SLE-WE-12-SP5-2022-1758
SUSE Linux Enterprise Micro 5.0
  • glib2-tools >= 2.62.6-150200.3.9.1
  • libgio-2_0-0 >= 2.62.6-150200.3.9.1
  • libglib-2_0-0 >= 2.62.6-150200.3.9.1
  • libgmodule-2_0-0 >= 2.62.6-150200.3.9.1
  • libgobject-2_0-0 >= 2.62.6-150200.3.9.1
Patchnames:
SUSE-SUSE-MicroOS-5.0-2022-1455
SUSE Linux Enterprise Micro 5.1
  • glib2-tools >= 2.62.6-150200.3.9.1
  • libgio-2_0-0 >= 2.62.6-150200.3.9.1
  • libglib-2_0-0 >= 2.62.6-150200.3.9.1
  • libgmodule-2_0-0 >= 2.62.6-150200.3.9.1
  • libgobject-2_0-0 >= 2.62.6-150200.3.9.1
Patchnames:
SUSE-SUSE-MicroOS-5.1-2022-1455
SUSE Linux Enterprise Micro 5.2
  • glib2-tools >= 2.62.6-150200.3.9.1
  • libgio-2_0-0 >= 2.62.6-150200.3.9.1
  • libglib-2_0-0 >= 2.62.6-150200.3.9.1
  • libgmodule-2_0-0 >= 2.62.6-150200.3.9.1
  • libgobject-2_0-0 >= 2.62.6-150200.3.9.1
Patchnames:
SUSE-SUSE-MicroOS-5.2-2022-1455
SUSE Linux Enterprise Real Time 15 SP2
  • glib2-devel >= 2.62.6-150200.3.9.1
  • glib2-lang >= 2.62.6-150200.3.9.1
  • glib2-tools >= 2.62.6-150200.3.9.1
  • libgio-2_0-0 >= 2.62.6-150200.3.9.1
  • libgio-2_0-0-32bit >= 2.62.6-150200.3.9.1
  • libglib-2_0-0 >= 2.62.6-150200.3.9.1
  • libglib-2_0-0-32bit >= 2.62.6-150200.3.9.1
  • libgmodule-2_0-0 >= 2.62.6-150200.3.9.1
  • libgmodule-2_0-0-32bit >= 2.62.6-150200.3.9.1
  • libgobject-2_0-0 >= 2.62.6-150200.3.9.1
  • libgobject-2_0-0-32bit >= 2.62.6-150200.3.9.1
  • libgthread-2_0-0 >= 2.62.6-150200.3.9.1
Patchnames:
SUSE-SLE-Product-RT-15-SP2-2022-1455
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • glib2-devel >= 2.48.2-12.28.1
  • glib2-devel-static >= 2.48.2-12.28.1
  • glib2-lang >= 2.48.2-12.28.1
  • glib2-tools >= 2.48.2-12.28.1
  • libgio-2_0-0 >= 2.48.2-12.28.1
  • libgio-2_0-0-32bit >= 2.48.2-12.28.1
  • libgio-fam >= 2.48.2-12.28.1
  • libglib-2_0-0 >= 2.48.2-12.28.1
  • libglib-2_0-0-32bit >= 2.48.2-12.28.1
  • libgmodule-2_0-0 >= 2.48.2-12.28.1
  • libgmodule-2_0-0-32bit >= 2.48.2-12.28.1
  • libgobject-2_0-0 >= 2.48.2-12.28.1
  • libgobject-2_0-0-32bit >= 2.48.2-12.28.1
  • libgthread-2_0-0 >= 2.48.2-12.28.1
  • libgthread-2_0-0-32bit >= 2.48.2-12.28.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2022-1758
SUSE-SLE-SERVER-12-SP5-2022-1758
SUSE-SLE-WE-12-SP5-2022-1758
SUSE Linux Enterprise Software Development Kit 12 SP5
  • glib2-devel >= 2.48.2-12.28.1
  • glib2-devel-static >= 2.48.2-12.28.1
  • libgio-fam >= 2.48.2-12.28.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2022-1758
openSUSE Leap 15.3
  • gio-branding-upstream >= 2.62.6-150200.3.9.1
  • glib2-devel >= 2.62.6-150200.3.9.1
  • glib2-devel-32bit >= 2.62.6-150200.3.9.1
  • glib2-devel-static >= 2.62.6-150200.3.9.1
  • glib2-lang >= 2.62.6-150200.3.9.1
  • glib2-tests >= 2.62.6-150200.3.9.1
  • glib2-tools >= 2.62.6-150200.3.9.1
  • glib2-tools-32bit >= 2.62.6-150200.3.9.1
  • libgio-2_0-0 >= 2.62.6-150200.3.9.1
  • libgio-2_0-0-32bit >= 2.62.6-150200.3.9.1
  • libgio-fam >= 2.62.6-150200.3.9.1
  • libgio-fam-32bit >= 2.62.6-150200.3.9.1
  • libglib-2_0-0 >= 2.62.6-150200.3.9.1
  • libglib-2_0-0-32bit >= 2.62.6-150200.3.9.1
  • libgmodule-2_0-0 >= 2.62.6-150200.3.9.1
  • libgmodule-2_0-0-32bit >= 2.62.6-150200.3.9.1
  • libgobject-2_0-0 >= 2.62.6-150200.3.9.1
  • libgobject-2_0-0-32bit >= 2.62.6-150200.3.9.1
  • libgthread-2_0-0 >= 2.62.6-150200.3.9.1
  • libgthread-2_0-0-32bit >= 2.62.6-150200.3.9.1
Patchnames:
openSUSE-SLE-15.3-2022-1455
openSUSE Leap 15.4
  • glib2-tests >= 2.62.6-150200.3.9.1
  • libgio-fam >= 2.62.6-150200.3.9.1
  • libgio-fam-32bit >= 2.62.6-150200.3.9.1
Patchnames:
openSUSE-SLE-15.4-2022-1455

List of packages in QA

Product(s) Package(s)
SUSE Linux Enterprise Server 12 SP2-BCL
  • glib2-lang >= 2.48.2-12.28.1
  • glib2-tools >= 2.48.2-12.28.1
  • libgio-2_0-0 >= 2.48.2-12.28.1
  • libgio-2_0-0-32bit >= 2.48.2-12.28.1
  • libglib-2_0-0 >= 2.48.2-12.28.1
  • libglib-2_0-0-32bit >= 2.48.2-12.28.1
  • libgmodule-2_0-0 >= 2.48.2-12.28.1
  • libgmodule-2_0-0-32bit >= 2.48.2-12.28.1
  • libgobject-2_0-0 >= 2.48.2-12.28.1
  • libgobject-2_0-0-32bit >= 2.48.2-12.28.1
  • libgthread-2_0-0 >= 2.48.2-12.28.1
  • libgthread-2_0-0-32bit >= 2.48.2-12.28.1
SUSE Linux Enterprise Server 12 SP4-ESPOS
  • glib2-lang >= 2.48.2-12.28.1
  • glib2-tools >= 2.48.2-12.28.1
  • libgio-2_0-0 >= 2.48.2-12.28.1
  • libgio-2_0-0-32bit >= 2.48.2-12.28.1
  • libglib-2_0-0 >= 2.48.2-12.28.1
  • libglib-2_0-0-32bit >= 2.48.2-12.28.1
  • libgmodule-2_0-0 >= 2.48.2-12.28.1
  • libgmodule-2_0-0-32bit >= 2.48.2-12.28.1
  • libgobject-2_0-0 >= 2.48.2-12.28.1
  • libgobject-2_0-0-32bit >= 2.48.2-12.28.1
  • libgthread-2_0-0 >= 2.48.2-12.28.1
  • libgthread-2_0-0-32bit >= 2.48.2-12.28.1
SUSE Linux Enterprise Server 12 SP4-LTSS
  • glib2-lang >= 2.48.2-12.28.1
  • glib2-tools >= 2.48.2-12.28.1
  • libgio-2_0-0 >= 2.48.2-12.28.1
  • libgio-2_0-0-32bit >= 2.48.2-12.28.1
  • libglib-2_0-0 >= 2.48.2-12.28.1
  • libglib-2_0-0-32bit >= 2.48.2-12.28.1
  • libgmodule-2_0-0 >= 2.48.2-12.28.1
  • libgmodule-2_0-0-32bit >= 2.48.2-12.28.1
  • libgobject-2_0-0 >= 2.48.2-12.28.1
  • libgobject-2_0-0-32bit >= 2.48.2-12.28.1
  • libgthread-2_0-0 >= 2.48.2-12.28.1
  • libgthread-2_0-0-32bit >= 2.48.2-12.28.1
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • glib2-lang >= 2.48.2-12.28.1
  • glib2-tools >= 2.48.2-12.28.1
  • libgio-2_0-0 >= 2.48.2-12.28.1
  • libgio-2_0-0-32bit >= 2.48.2-12.28.1
  • libglib-2_0-0 >= 2.48.2-12.28.1
  • libglib-2_0-0-32bit >= 2.48.2-12.28.1
  • libgmodule-2_0-0 >= 2.48.2-12.28.1
  • libgmodule-2_0-0-32bit >= 2.48.2-12.28.1
  • libgobject-2_0-0 >= 2.48.2-12.28.1
  • libgobject-2_0-0-32bit >= 2.48.2-12.28.1
  • libgthread-2_0-0 >= 2.48.2-12.28.1
  • libgthread-2_0-0-32bit >= 2.48.2-12.28.1
SUSE OpenStack Cloud 9
  • glib2-lang >= 2.48.2-12.28.1
  • glib2-tools >= 2.48.2-12.28.1
  • libgio-2_0-0 >= 2.48.2-12.28.1
  • libgio-2_0-0-32bit >= 2.48.2-12.28.1
  • libglib-2_0-0 >= 2.48.2-12.28.1
  • libglib-2_0-0-32bit >= 2.48.2-12.28.1
  • libgmodule-2_0-0 >= 2.48.2-12.28.1
  • libgmodule-2_0-0-32bit >= 2.48.2-12.28.1
  • libgobject-2_0-0 >= 2.48.2-12.28.1
  • libgobject-2_0-0-32bit >= 2.48.2-12.28.1
  • libgthread-2_0-0 >= 2.48.2-12.28.1
  • libgthread-2_0-0-32bit >= 2.48.2-12.28.1
SUSE OpenStack Cloud Crowbar 9
  • glib2-lang >= 2.48.2-12.28.1
  • glib2-tools >= 2.48.2-12.28.1
  • libgio-2_0-0 >= 2.48.2-12.28.1
  • libgio-2_0-0-32bit >= 2.48.2-12.28.1
  • libglib-2_0-0 >= 2.48.2-12.28.1
  • libglib-2_0-0-32bit >= 2.48.2-12.28.1
  • libgmodule-2_0-0 >= 2.48.2-12.28.1
  • libgmodule-2_0-0-32bit >= 2.48.2-12.28.1
  • libgobject-2_0-0 >= 2.48.2-12.28.1
  • libgobject-2_0-0-32bit >= 2.48.2-12.28.1
  • libgthread-2_0-0 >= 2.48.2-12.28.1
  • libgthread-2_0-0-32bit >= 2.48.2-12.28.1


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 glib2 Affected
SUSE CaaS Platform 3.0 glib2 Affected
SUSE CaaS Platform 4.0 glib2 Affected
SUSE CaaS Platform 4.5 glib2 Affected
SUSE Enterprise Storage 6 glib2 Affected
SUSE Enterprise Storage 7 glib2 Affected
SUSE Enterprise Storage 7.1 glib2 Released
SUSE Linux Enterprise Desktop 11 SP4 glib2 Affected
SUSE Linux Enterprise Desktop 12 SP2 glib2 Affected
SUSE Linux Enterprise Desktop 12 SP3 glib2 Affected
SUSE Linux Enterprise Desktop 12 SP4 glib2 Affected
SUSE Linux Enterprise Desktop 12 SP5 glib2 Released
SUSE Linux Enterprise Desktop 15 glib2 Affected
SUSE Linux Enterprise Desktop 15 SP1 glib2 Affected
SUSE Linux Enterprise Desktop 15 SP2 glib2 Affected
SUSE Linux Enterprise Desktop 15 SP3 glib2 Released
SUSE Linux Enterprise Desktop 15 SP4 glib2 Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 glib2 Released
SUSE Linux Enterprise High Performance Computing 15 glib2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 glib2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS glib2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS glib2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 glib2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS glib2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS glib2 Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 glib2 Released
SUSE Linux Enterprise High Performance Computing 15 SP4 glib2 Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS glib2 Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS glib2 Affected
SUSE Linux Enterprise Micro 5.0 glib2 Released
SUSE Linux Enterprise Micro 5.1 glib2 Released
SUSE Linux Enterprise Micro 5.2 glib2 Released
SUSE Linux Enterprise Micro 5.3 glib2 Not affected
SUSE Linux Enterprise Micro for Rancher 5.2 glib2 Released
SUSE Linux Enterprise Module for Basesystem 15 glib2 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 glib2 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 glib2 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 glib2 Released
SUSE Linux Enterprise Module for Basesystem 15 SP4 glib2 Not affected
SUSE Linux Enterprise Module for Package Hub 15 glib2 Affected
SUSE Linux Enterprise Point of Service 11 SP3 glib2 Affected
SUSE Linux Enterprise Point of Service Image Server 12 SP2 glib2 Unsupported
SUSE Linux Enterprise Real Time 15 SP2 glib2 Released
SUSE Linux Enterprise Server 11 SP1 glib2 Affected
SUSE Linux Enterprise Server 11 SP3 glib2 Affected
SUSE Linux Enterprise Server 11 SP3-LTSS glib2 Affected
SUSE Linux Enterprise Server 11 SP4 glib2 Affected
SUSE Linux Enterprise Server 11 SP4 LTSS glib2 Affected
SUSE Linux Enterprise Server 11 SP4-LTSS glib2 Affected
SUSE Linux Enterprise Server 12 SP2 glib2 Affected
SUSE Linux Enterprise Server 12 SP2-BCL glib2 In progress
SUSE Linux Enterprise Server 12 SP2-ESPOS glib2 Unsupported
SUSE Linux Enterprise Server 12 SP2-LTSS glib2 Unsupported
SUSE Linux Enterprise Server 12 SP3 glib2 Affected
SUSE Linux Enterprise Server 12 SP3-BCL glib2 Affected
SUSE Linux Enterprise Server 12 SP3-ESPOS glib2 Affected
SUSE Linux Enterprise Server 12 SP3-LTSS glib2 Affected
SUSE Linux Enterprise Server 12 SP4 glib2 Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS glib2 In progress
SUSE Linux Enterprise Server 12 SP4-LTSS glib2 In progress
SUSE Linux Enterprise Server 12 SP5 glib2 Released
SUSE Linux Enterprise Server 15 glib2 Affected
SUSE Linux Enterprise Server 15 SP1 glib2 Affected
SUSE Linux Enterprise Server 15 SP1-BCL glib2 Affected
SUSE Linux Enterprise Server 15 SP1-LTSS glib2 Affected
SUSE Linux Enterprise Server 15 SP2 glib2 Affected
SUSE Linux Enterprise Server 15 SP2-BCL glib2 Affected
SUSE Linux Enterprise Server 15 SP2-LTSS glib2 Affected
SUSE Linux Enterprise Server 15 SP3 glib2 Released
SUSE Linux Enterprise Server 15 SP4 glib2 Not affected
SUSE Linux Enterprise Server 15-ESPOS glib2 Affected
SUSE Linux Enterprise Server 15-LTSS glib2 Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 glib2 Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 glib2 Affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 glib2 Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 glib2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 glib2 Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 glib2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 glib2 In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP5 glib2 Released
SUSE Linux Enterprise Server for SAP Applications 15 glib2 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 glib2 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 glib2 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 glib2 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 glib2 Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 glib2 Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 glib2 Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 glib2 Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 glib2 Affected
SUSE Linux Enterprise Software Development Kit 12 SP5 glib2 Released
SUSE Linux Enterprise Workstation Extension 12 SP2 glib2 Affected
SUSE Linux Enterprise Workstation Extension 12 SP3 glib2 Affected
SUSE Linux Enterprise Workstation Extension 12 SP4 glib2 Affected
SUSE Linux Enterprise Workstation Extension 12 SP5 glib2 Released
SUSE Manager Proxy 4.0 glib2 Unsupported
SUSE Manager Proxy 4.1 glib2 Affected
SUSE Manager Proxy 4.2 glib2 Released
SUSE Manager Proxy 4.3 glib2 Not affected
SUSE Manager Retail Branch Server 4.0 glib2 Unsupported
SUSE Manager Retail Branch Server 4.1 glib2 Affected
SUSE Manager Retail Branch Server 4.2 glib2 Released
SUSE Manager Retail Branch Server 4.3 glib2 Not affected
SUSE Manager Server 4.0 glib2 Unsupported
SUSE Manager Server 4.1 glib2 Affected
SUSE Manager Server 4.2 glib2 Released
SUSE Manager Server 4.3 glib2 Not affected
SUSE OpenStack Cloud 7 glib2 Unsupported
SUSE OpenStack Cloud 8 glib2 Affected
SUSE OpenStack Cloud 9 glib2 In progress
SUSE OpenStack Cloud Crowbar 8 glib2 Affected
SUSE OpenStack Cloud Crowbar 9 glib2 In progress
SUSE Package Hub 15 glib2 Unsupported


SUSE Timeline for this CVE

CVE page created: Fri Mar 12 04:35:06 2021
CVE page last modified: Tue Nov 29 15:46:25 2022